NWRECOVER(8)

NAME
nwrecover - NetWorker graphical recover interface

SYNOPSIS
nwrecover [ -s server ] [ -c client ] [ -T browse time ] [ path ]

DESCRIPTION

nwrecover is an X Window System application. It is used to recover lost files that have been saved with NetWorker. If you are running in a non-X11 environment, recover(8) may be used to recover files.

The server's name may be specified with the -s server argument. When no server is specified, nwrecover uses the server selection rules found in nsr(8). When multiple NetWorker servers are accessible, they may be selected from within the nwrecover command. If path is specified, nwrecover will attempt to initialize the current selection to the given path. The default attempted selection if path is not specified is the current working directory.

If you are recovering files that were saved with Access Control Lists (ACLs), you need to be root or the file owner to recover the file. Files with an ACL have a trailing '+' (e.g., -rw-r--r--+) after the mode bits when viewing file details. See recover(8) for more information about ACLs.

There are three basic steps to recover a lost file: (1) Browse NetWorker's index in the Recover window to find the lost file, (2) Mark the file for recovery by selecting its checkbox and (3) Start the recovery. In addition, there are recover commands for relocating recovered files (Relocate), finding past versions of a file (Versions), changing the browse time (Change Browse Time), showing the files you have marked for recovery (Show Marked), and overwriting or renaming recovered files that are in conflict with existing files (Conflict Resolution).

Opening the Recover window connects the client to its indexes maintained on the server. The entries in the index represent previously backed-up files and are organized exactly like the filesystem. To browse the index for another filesystem, enter the pathname in the Selection field.

To browse the index: Use the Recover window View menu to select the browsing level of your directories. Use the mouse to open a directory and display its contents.

To mark files: After you have located your files by browsing the index, mark the files you want to recover by selecting their checkboxes. Or, highlight a file and use the Mark command from the File menu to mark files. You can list the files that you have marked for recovery with the Show Marked command from the View menu.

To start the recovery: Select the Start recover command from the File menu. The Conflict Resolution dialog box appears, where you tell NetWorker what to do when a conflict occurs between a recovered file and an existing file. You select whether to be prompted for each individual conflict or to select one global resolution for all conflicts. Then you tell NetWorker whether to Rename the recover file with a .R extension to preserve both files, to Discard the recover file and preserve the existing file, or to Overwrite the existing file to preserve the recover file as the only copy of the file.

After you press OK in the Conflict Resolution dialog box, the recover continues. NetWorker will then automatically determine the media needed to complete the recovery, prompt the operator to mount the media, and execute the recovery. You can monitor the status of the recovery in the Recover Status window.

Before starting the recovery, you have the option of relocating the recover files with the Relocate command. Enter the pathname of a new or existing directory in which to place your recovered files.

The Recover window also offers two commands for browsing the index in the past. Versions shows you the entire backup history for a file. Change Browse Time allows you to change the time at which you are viewing the on-line index.

A complete explanation of the nwrecover command may be found in the NetWorker User's Guide.

OPTIONS

-s server
    Set the current NetWorker server to server.

-c client
    Set the current NetWorker client index to browse to client.

-T browse time
    Set the current index browse time to browse time (in nsr_getdate(3) format). Using this option is equivalent to using the change browse time dialog within nwrecover.

FILES

/usr/lib/X11/app-defaults/Networker
    The X11 resources for nwrecover.

SEE ALSO
nsr_getdate(3), nsr(8), nsradmin(8), nwbackup(8), recover(8)

The NetWorker User's Guide